// ID:ID, hero_id:英雄ID, skill_leve:技能等级, bullet_num:子弹数量, bullet_radius:子弹半径, attack_distance:攻击距离, skill_des:技能描述

export default class M_skill {
  private static data =
      {"1001":{"ID":1001,"hero_id":1001,"skill_leve":1,"bullet_num":1,"bullet_radius":2,"attack_distance":10,"skill_des":"扔出1把旋转大刀"}

      ,"1002":{"ID":1002,"hero_id":1001,"skill_leve":2,"bullet_num":2,"bullet_radius":2,"attack_distance":10,"skill_des":"扔出2把旋转大刀"}

      ,"1003":{"ID":1003,"hero_id":1001,"skill_leve":3,"bullet_num":4,"bullet_radius":2,"attack_distance":10,"skill_des":"扔出4把旋转大刀"}

      ,"1004":{"ID":1004,"hero_id":1001,"skill_leve":4,"bullet_num":8,"bullet_radius":2,"attack_distance":10,"skill_des":"扔出8把旋转大刀"}

      }// ID:ID, hero_id:英雄ID, skill_leve:技能等级, bullet_num:子弹数量, bullet_radius:子弹半径, attack_distance:攻击距离, skill_des:技能描述


    static getData(key: any): any {
        if (key == null || key == undefined)
            return null;
        return this.data[key];
    }

    static getAllData(): any {
        return this.data;
    }

}